com.hazelcast.config

## Class WanReplicationRefReadOnly

- java.lang.Object
- - com.hazelcast.config.WanReplicationRef
  - - com.hazelcast.config.WanReplicationRefReadOnly

- All Implemented Interfaces:
    DataSerializable, Serializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class WanReplicationRefReadOnly
      extends WanReplicationRef

  Configuration for Wan target replication reference(read only)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WanReplicationRefReadOnly(WanReplicationRef ref)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WanReplicationRef` | `addFilter(String filter)` Deprecated. Adds the class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering outbound WAN replication events.
    `WanReplicationRef` | `setFilters(List<String> filters)` Deprecated. Sets the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering outbound WAN replication events.
    `WanReplicationRef` | `setMergePolicy(String mergePolicy)` Deprecated. Sets the merge policy sent to the WAN replication target to merge replicated entries with existing target entries.
    `WanReplicationRef` | `setName(String name)` Deprecated. Sets the WAN replication reference name.
    `WanReplicationRef` | `setRepublishingEnabled(boolean republishingEnabled)` Deprecated. Sets if incoming WAN events to this member should be republished (forwarded) to this WAN replication reference.

    - ### Methods inherited from class com.hazelcast.config.WanReplicationRef

      `equals, getAsReadOnly, getFilters, getMergePolicy, getName, hashCode, isRepublishingEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WanReplicationRefReadOnly

          public WanReplicationRefReadOnly(WanReplicationRef ref)

      Deprecated.

  - ### Method Detail

    - #### setName

          public WanReplicationRef setName(String name)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Sets the WAN replication reference name.
      Overrides:
        `setName` in class `WanReplicationRef`
      Parameters:
        `name` - the reference name
      Returns:
        this config

    - #### setMergePolicy

          public WanReplicationRef setMergePolicy(String mergePolicy)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Sets the merge policy sent to the WAN replication target to merge replicated entries with existing target entries.
      Overrides:
        `setMergePolicy` in class `WanReplicationRef`
      Parameters:
        `mergePolicy` - the merge policy
      Returns:
        this config

    - #### setFilters

          public WanReplicationRef setFilters(List<String> filters)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Sets the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering outbound WAN replication events.

      NOTE: EE only

      Overrides:
        `setFilters` in class `WanReplicationRef`
      Parameters:
        `filters` - the list of class names implementing CacheWanEventFilter or MapWanEventFilter
      Returns:
        this config

    - #### addFilter

          public WanReplicationRef addFilter(String filter)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Adds the class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering outbound WAN replication events.

      NOTE: EE only

      Overrides:
        `addFilter` in class `WanReplicationRef`
      Parameters:
        `filter` - the class name
      Returns:
        this config

    - #### setRepublishingEnabled

          public WanReplicationRef setRepublishingEnabled(boolean republishingEnabled)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Sets if incoming WAN events to this member should be republished (forwarded) to this WAN replication reference.
      Overrides:
        `setRepublishingEnabled` in class `WanReplicationRef`
      Parameters:
        `republishingEnabled` - whether WAN event republishing is enabled
      Returns:
        this config

Copyright © 2019. All rights reserved.